Bug 475969 - difference between the name of the binary and the name in its usage message
difference between the name of the binary and the name in its usage message
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 06:33 EST by Milos Malik
Modified: 2009-09-02 05:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-12-11 06:33:16 EST
Description of problem:
Some utilities (when executed without parameters) print the usage message which contains a different name than the name of the binary. The difference is '_' versus '-'.

Version-Release number of selected component (if applicable):
ecryptfs-utils-56-8.el5

How reproducible:
always

Steps to Reproduce:
Run any of the following utilities and the '_' vs. '-' problem will appear.
1. /usr/bin/ecryptfs-wrap-passphrase
2. /usr/bin/ecryptfs-unwrap-passphrase
3. /usr/bin/ecryptfs-rewrap-passphrase
4. /usr/bin/ecryptfs-insert-wrapped-passphrase-into-keyring
  
Actual results:
The name of the binary and the name in the usage message is different.

Expected results:
The name of the binary and the name in the usage message is the same.

Additional info:
Comment 1 Michal Hlavinka 2009-02-02 10:43:59 EST
this is fixed since version 63
it will be fixed by rebase (#482834) or patch backported from this commit http://git.kernel.org/?p=linux/kernel/git/mhalcrow/ecryptfs-utils.git;a=commit;h=49044f8d8e870d91deecf1fa2d1a2ff97f278056
Comment 6 errata-xmlrpc 2009-09-02 05:57:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.